> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream the latest .docx blob

> Streams the .docx blob directly with an attachment Content-Disposition header.

Used by tree-export and ad-hoc download flows.



## OpenAPI

````yaml get /document/docx/{documentId}/export
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/docx/{documentId}/export:
    get:
      tags:
        - Documents
      summary: Stream the latest .docx blob
      description: >-
        Streams the .docx blob directly with an attachment Content-Disposition
        header.


        Used by tree-export and ad-hoc download flows.
      operationId: exportDocxBlob
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: documentId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: {}
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````